#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	bs4
Summary:	beautifulsoup4 - Screen-scraping library
Summary(pl.UTF-8):	beautifulsoup4 - biblioteka przechwytująca wyjście
Name:		python3-%{module}
Version:	4.13.2
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/beautifulsoup4/
Source0:	https://files.pythonhosted.org/packages/source/b/beautifulsoup4/beautifulsoup4-%{version}.tar.gz
# Source0-md5:	e5edd9780e91f48901f9c19ce98c5376
URL:		https://www.crummy.com/software/BeautifulSoup/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7.0
%if %{with tests}
BuildRequires:	python3-html5lib
BuildRequires:	python3-lxml
BuildRequires:	python3-packaging
BuildRequires:	python3-pytest >= 6
BuildRequires:	python3-soupsieve >= 2.6
BuildRequires:	python3-typing_extensions >= 4.0.0
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic
idioms for iterating, searching, and modifying the parse tree.

%description -l pl.UTF-8
Beautiful Soup rezyduje powyżej parsera HTML lub XML, zapewniając
pythonowe idiomy do iterowania, wyszukiwania i modyfikowania drzewa
analizy.

%package apidocs
Summary:	API documentation for Python beautifulsoup4 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona beautifulsoup4
Group:		Documentation

%description apidocs
API documentation for Python beautifulsoup4 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona beautifulsoup4.

%prep
%setup -q -n beautifulsoup4-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest bs4/tests
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/bs4/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README.md
%{py3_sitescriptdir}/bs4
%{py3_sitescriptdir}/beautifulsoup4-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Sun May 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-bs4.git;a=log;h=master

* Sun May 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 2eef225
- release 2 (fix python-modules dependency)

* Sun May 25 2025 Jakub Bogusz <qboosh@pld-linux.org> f85326b
- updated dependencies

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> c1b08e3
- bcond around tests deps

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6f084ce
- up to 4.13.2

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 133830b
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 9cfeea2
- use patch -P

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 2a80d36
- updated to 4.9.3
- removed obsolete lxml patch

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e51a6d0
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 8f7e153
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> eaf75ab
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 5680ef6
- updated to 4.6.3 (the last before soupsieve dependency)

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> a307bef
- added smart_quotes patch (give some encoding hint in test, it failed on python3)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> da6aeb5
- release 4 (by relup.sh)

* Sat Jan 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 3352eb1
- added lxml patch (fix for lxml 4.4+); release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 664d62e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jul 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 6edb640
- pl, added apidocs

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f1083b4
- up to 4.6.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f6b0576
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cb1e664
- python 3.7 rebuild
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 23cb838
- python 3.6
- release 3 (by relup.sh)

